田草博客

互联网田草博客


网友交流QQ群:11740834 需注明申请加入原因

微信 公众号:ByCAD

邮箱:tiancao1001x126.com
ByCAD,微信公众号
首页 | 普通 | 电脑 | AutoCAD | VB/VB.NET | FLash | 结构 | 建筑 | 电影 | BIM | 规范 | 软件 | ID
-随机-|-分布-
-博客论坛-|-﨣﨤﨧﨨-
-网站导航-|-规范下载-
-BelovedFLash欣赏-

用户登陆
用户:
密码:
 

站点日历
73 2024 - 7 48
 123456
78910111213
14151617181920
21222324252627
28293031


站点统计

最新评论



一见你就笑 VB for Android (VB4A) 通过basic语言轻松编写Android程序
未知 创建放样实体   [ 日期:2014-01-28 ]   [ 来自:本站原创 ]  HTML
原文地址:http://adndevblog.typepad.com/autocad/20 ... e-createloftedsolid.html

Imports acApp = Autodesk.AutoCAD.ApplicationServices.Application
Imports Autodesk.AutoCAD.ApplicationServices
Imports Autodesk.AutoCAD.DatabaseServices
Imports Autodesk.AutoCAD.EditorInput
Imports Autodesk.AutoCAD.Runtime
Public Class Commands
    <CommandMethod("CreateLoft")> _
    Public Sub CreateLoft()
        Dim ed As Editor = acApp.DocumentManager.MdiActiveDocument.Editor
        Dim db As Database = HostApplicationServices.WorkingDatabase
        Dim psr As PromptSelectionResult = ed.GetSelection()
        If psr.Status <> PromptStatus.OK Or psr.Value.Count <> 3 Then
            Return
        End If
    Using tr As Transaction =  db.TransactionManager.StartTransaction()
            Dim ent1 As Entity = tr.GetObject(psr.Value(0).ObjectId, OpenMode.ForRead)
            Dim ent2 As Entity = tr.GetObject(psr.Value(1).ObjectId, OpenMode.ForRead)
            Dim path As Entity = tr.GetObject(psr.Value(2).ObjectId, OpenMode.ForRead)

            Dim sld As New Solid3d
            Dim options As New LoftOptions
            ' In case of this specific drawing passing in Nothing as 
            ' path would give similar results
            sld.CreateLoftedSolid(New Entity() {ent1, ent2}, New Entity() {}, path, options)
      Dim bt As BlockTable =  tr.GetObject(db.BlockTableId, OpenMode.ForRead)
      Dim ms As BlockTableRecord =  tr.GetObject(bt(BlockTableRecord.ModelSpace), OpenMode.ForWrite)
            ms.AppendEntity(sld)
            tr.AddNewlyCreatedDBObject(sld, True)
            tr.Commit()
        End Using
    End Sub
End Class


[本日志由 tiancao1001 于 2014-01-28 06:44 PM 编辑]


暂时没有评论
发表评论 - 不要忘了输入验证码哦!
作者: 用户:  密码:   注册? 验证:  防止恶意留言请输入问题答案:2*7=?  
评论:

禁止表情
禁止UBB
禁止图片
识别链接
识别关键字

字体样式 文字大小 文字颜色
插入粗体文本 插入斜体文本 插入下划线
左对齐 居中对齐 右对齐
插入超级链接 插入邮件地址 插入图像
插入 Flash 插入代码 插入引用
插入列表 插入音频文件 插入视频文件
插入缩进符合
点击下载按钮 下标 上标
水平线 简介分割标记
表  情
 
Tiancao Blog All Rights Reserved 田草博客 版权所有
Copyright ©